CREATE TABLE cmf_i_legal_doc_assoc (
    EFD_INTERFACE_LEGAL_PROC_ID     NUMBER(18, 0) ,
    EFD_INTERFACE_HEADER_ID         NUMBER(18, 0) ,
    DOCUMENT_LEGAL_DOC_ASSOC        NUMBER(18, 0) ,
    DOCUMENT_HEADER_ID              NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    LEGAL_PROCESS_ACT_IDENTIFIER    VARCHAR2(240) ,
    LEGAL_PROC_PROCEEDING_ORIG      VARCHAR2(4)   ,
    VALIDATION_STATUS               VARCHAR2(40)  ,
    EXTERNAL_SYSTEM_REFERENCE       VARCHAR2(960) ,
    EXTERNAL_SYSTEM_REF_ID          VARCHAR2(120) ,
    REQUEST_ID                      NUMBER(18, 0) ,
    JOB_DEFINITION_NAME             VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE          VARCHAR2(3600),
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    DOCUMENT_LEGAL_DOC_ASSOC_ID     NUMBER(18, 0) ,
    EFD_INTERFACE_LEGAL_PROC_ID     NUMBER(18, 0) ,
    EFD_INTERFACE_HEADER_ID         NUMBER(18, 0) ,
    DOCUMENT_LEGAL_DOC_ASSOC        NUMBER(18, 0) ,
    DOCUMENT_HEADER_ID              NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    LEGAL_PROCESS_ACT_IDENTIFIER    VARCHAR2(240) ,
    LEGAL_PROC_PROCEEDING_ORIG      VARCHAR2(4)   ,
    VALIDATION_STATUS               VARCHAR2(40)  ,
    EXTERNAL_SYSTEM_REFERENCE       VARCHAR2(960) ,
    EXTERNAL_SYSTEM_REF_ID          VARCHAR2(120) ,
    REQUEST_ID                      NUMBER(18, 0) ,
    JOB_DEFINITION_NAME             VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE          VARCHAR2(3600),
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    DOCUMENT_LEGAL_DOC_ASSOC_ID     NUMBER(18, 0) ,
    CONSTRAINT pk_cmf_i_legal_doc_assoc PRIMARY KEY (EFD_INTERFACE_LEGAL_PROC_ID, EFD_INTERFACE_LEGAL_PROC_ID)
);
